AWS EC2 Deployment thoughts.. last command stops it

Anyone have any luck deploying to an EC2 instance? Ive been successful with all the self hosted deployments on linux, upgrades etc. However amazon aws is making it tiny bit difficult.

Steps to recreate:
Deploy an EC2 instance using this method:












after deploying I download the .pem file and open up a terminal, go into the directory I downloaded it then run

chmod 400 yourkeyname.pem #substituting the name I gave in the deployment

I then ssh into the deployed instance

ssh -i yourkeyname.pem ec2-user@<public ip given from ec2 instance>

I followed up with these commands to install docker and docker-compose (I also tried installing docker and docker-compose manually)

sudo yum update
sudo yum install docker
sudo curl -L https://github.com/docker/compose/releases/download/1.21.0/docker-compose-%60uname -s`-`uname -m` | sudo tee /usr/local/bin/docker-compose > /dev/null
sudo chmod +x /usr/local/bin/docker-compose
sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose
sudo service docker start

Then from here I follow the standard install commands to deploy seatable. HOWEVER

All the usual install instructions work right up until the last step of issuing the command to setup a super user account on the command line:

sudo docker exec -it seatable /shared/seatable/scripts/seatable.sh superuser

Once that command is issued, I get this response:

Traceback (most recent call last):
  File "/opt/seatable/seatable-server-latest/seafile/lib/python3/site-packages/pysearpc/named_pipe.py", line 88, in _get_transport
    transport = self._pool.get(False)
  File "/usr/lib/python3.7/queue.py", line 167, in get
    raise Empty
_queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "manage.py", line 10, in <module>
    execute_from_command_line(sys.argv)
  File "/opt/seatable/seatable-server-latest/dtable-web/thirdpart/django/core/management/__init__.py", line 381, in execute_from_command_line
    utility.execute()
  File "/opt/seatable/seatable-server-latest/dtable-web/thirdpart/django/core/management/__init__.py", line 375, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/opt/seatable/seatable-server-latest/dtable-web/thirdpart/django/core/management/base.py", line 323, in run_from_argv
    self.execute(*args, **cmd_options)
  File "/opt/seatable/seatable-server-latest/dtable-web/thirdpart/django/core/management/base.py", line 364, in execute
    output = self.handle(*args, **options)
  File "/opt/seatable/seatable-server-2.6.2/dtable-web/seahub/base/management/commands/createsuperuser.py", line 88, in handle
    User.objects.get(email=default_username)
  File "/opt/seatable/seatable-server-2.6.2/dtable-web/seahub/base/accounts.py", line 181, in get
    emailuser = ccnet_threaded_rpc.get_emailuser(email)
  File "/opt/seatable/seatable-server-latest/seafile/lib/python3/site-packages/pysearpc/client.py", line 126, in newfunc
    ret_str = self.call_remote_func_sync(fcall_str)
  File "/opt/seatable/seatable-server-latest/seafile/lib/python3/site-packages/pysearpc/named_pipe.py", line 100, in call_remote_func_sync
    transport = self._get_transport()
  File "/opt/seatable/seatable-server-latest/seafile/lib/python3/site-packages/pysearpc/named_pipe.py", line 90, in _get_transport
    transport = self._create_transport()
  File "/opt/seatable/seatable-server-latest/seafile/lib/python3/site-packages/pysearpc/named_pipe.py", line 83, in _create_transport
    transport.connect()
  File "/opt/seatable/seatable-server-latest/seafile/lib/python3/site-packages/pysearpc/named_pipe.py", line 47, in connect
    self.pipe.connect(self.socket_path)
FileNotFoundError: [Errno 2] No such file or directory

I have modified the docker-compose and dtable web settings to point to the public ip on port 880 & 4443 (also tried 80 & 443) with ssl set to true, I use 2.6.2 NOT latest to force the stable release in both docker-compose, I’ve confirmed containers are running successfully, deployment is giving me 0 errors with status checks…

any thoughts?

Also, I utilize the t2.X-Large not the micro that’s shown in screen shots

gonna answer my own question here… Inspection of the logs showed I accidentally messed up the license file and made it corrupt. Uploaded a new copy of the license file and viola… Seatable running on ec2 instance :slight_smile:


Next step, work out the ssl thingy. lets encrypt didn’t work soooo…

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.